<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8"/>
        <title>12. Cómo crear un libro digital: de XHTML a EPUB con Sigil</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <section epub:type="chapter" role="doc-chapter">
            <h1 id="como-crear-un-libro-digital-de-xhtml-a-epub-con-sigil">12. Cómo crear un <span class="i-item-span" id="i-item-id-1-5-1">libro</span> <span class="i-item-span" id="i-item-id-1-51-2">digital</span>: de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-3">XHTML</span></span> a <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-4">EPUB</span></span> con Sigil</h1>
            <p>En esta entrada se detallan los pasos para hacer un <span class="i-item-span" id="i-item-id-1-5-5"><span class="i-item-span" id="i-item-id-1-67-6">libro</span> electrónico</span>. Es decir, qué acciones deben hacerse para obtener un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-7">EPUB</span></span> desde un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-8">XHTML</span></span> con el <span class="i-item-span" id="i-item-id-1-44-9">programa</span> Sigil.</p>
            <h2 id="sigil-ven-a-mi">Sigil, ven a mí</h2>
            <p>De todas las <span class="i-item-span" id="i-item-id-1-66-10">herramientas</span> conocidas que existen para crear <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-11">EPUB</span></span>, <a href="https://github.com/Sigil-Ebook/Sigil/releases">Sigil</a> es la que siempre recomiendo. Esto se debe a los siguientes motivos:</p>
            <ul>
                <li>
                    <p>Es <i><span class="i-item-span" id="i-item-id-1-4-12">software</span></i> <span class="i-item-span" id="i-item-id-1-9-13">libre</span>, por lo que no solo es gratuito o todo su <span class="i-item-span" id="i-item-id-1-23-14">código</span> está disponible, sino que también implica que no hay necesidad de pedir permiso para usarlo o modificarlo.</p>
                </li>
                <li>
                    <p>Es la opción popular más ligera, su peso va de ~45 a &#92;~60 <span class="smallcap">MB</span>, según el sistema operativo que utilices.</p>
                </li>
                <li>
                    <p>Es un entorno gráfico pensado únicamente para crear <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-15">EPUB</span></span>; es decir, tenemos la certeza que cuenta con las <span class="i-item-span" id="i-item-id-1-66-16">herramientas</span> necesarias para hacer un buen <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-17">EPUB</span></span> de modo visual.</p>
                </li>
            </ul>
            <p><strong>Sigil fue el único <span class="i-item-span" id="i-item-id-1-44-19">programa</span> que satisfizo mis primeras necesidades para el <span class="i-item-span" id="i-item-id-1-12-18">desarrollo</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-20">EPUB</span></span>.</strong> Uno de los principales motivos fue porque en aquel entonces andaba sobre <a href="https://www.ubuntu.com/">Ubuntu</a>, por lo que me era imposible usar <i><span class="i-item-span" id="i-item-id-1-4-21">software</span></i> creado para <span class="i-item-span" id="i-item-id-1-128-22">Windows</span> o Mac.</p>
            <p>Pero otra razón fue que mis <span class="i-item-span" id="i-item-id-1-52-23">conocimientos</span> en <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-24">HTML</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-25">CSS</span></span> eran muy básicos y tampoco tenía un dominio sobre la terminal o RegEx. Muchos de ustedes se encuentran en esta situación, así que si quieren experimentar en la <span class="i-item-span" id="i-item-id-1-15-26">creación</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-27">EPUB</span></span>, en lugar de InDesign —el cual es menos controlable, como <a href="005-3_como_crear_un_libro.xhtml">ya lo indiqué</a>—, los invito a que prueben con Sigil.</p>
            <p>¿Cómo empezamos? Una <strong><em>primera desventaja</em></strong> de Sigil es que la <span class="i-item-span" id="i-item-id-1-110-31">documentación</span> existente para su uso no es tan amigable como la de otras <span class="i-item-span" id="i-item-id-1-66-28">herramientas</span> populares como InDesign o <span class="i-item-span" id="i-item-id-1-96-30">Jutoh</span>. Cuando conocí Sigil, su instalación me provocó un dolor de cabeza. Por fortuna, hoy es fácil instalarlo en cualquier <span class="i-item-span" id="i-item-id-1-81-29">computadora</span>.</p>
            <p>El área de su <span class="i-item-span" id="i-item-id-1-110-32">documentación</span> ha estado mejorando con el tiempo y aunque hace muchos años ya no uso Sigil, quizá <a href="http://www.jedisaber.com/eBooks/Sigil01.shtml">este tutorial</a> podría ser un buen punto de partida. Después de ahí, mi sugerencia es que metan sus manos al lodo y con los errores vean las posibilidades y límites de Sigil.</p>
            <h2 id="ejemplo-de-epub">Ejemplo de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-33">EPUB</span></span></h2>
            <p>Como ya venía anticipado en mi <a href="003-1_edicion_digital_como_edicion.xhtml">primera colaboración</a> con <span class="i-item-span" id="i-item-id-1-20-35">Mariana</span>, vamos a tomar la <span class="i-item-span" id="i-item-id-1-0-34">edición</span> del Proyecto <span class="i-item-span" id="i-item-id-1-106-36">Gutenberg</span> del <i>Don Quijote</i> junto con algunas modificaciones en su <span class="i-item-span" id="i-item-id-1-17-37">estructura</span> para producir un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-38">EPUB</span></span> más limpio y con mejor <span class="i-item-span" id="i-item-id-1-29-39">diseño</span>. Los archivos de ejemplo pueden descargarse <a href="https://www.clientes.cliteratu.re/eguaras/epubs.zip">aquí</a>.</p>
            <p><strong>Con estos archivos nos será posible obviar el más grande problema en la <span class="i-item-span" id="i-item-id-1-0-40">edición</span> <span class="i-item-span" id="i-item-id-1-51-42">digital</span>: el <span class="i-item-span" id="i-item-id-1-8-41">formato</span>.</strong> Como siempre he indicado, el <a href="009-7_el_formato_de_una.xhtml"><span class="i-item-span" id="i-item-id-1-125-44">cuello de botella</span> en la <span class="i-item-span" id="i-item-id-1-0-43">edición</span></a>, sea impresa o <span class="i-item-span" id="i-item-id-1-51-49">digital</span>, es la falta de un <span class="i-item-span" id="i-item-id-1-8-46">formato</span> adecuado. Esto provoca que gran parte del tiempo de <span class="i-item-span" id="i-item-id-1-12-48">desarrollo</span> de una <span class="i-item-span" id="i-item-id-1-7-45">publicación</span> sea, precisamente, la limpieza del <span class="i-item-span" id="i-item-id-1-8-47">formato</span>. Vuelvo a insistir en el asunto solo para explicitar que:</p>
            <ol>
                <li>
                    <p>este breve tutorial pasa por alto el tiempo necesario para dar un <span class="i-item-span" id="i-item-id-1-8-51">formato</span> adecuado a una <span class="i-item-span" id="i-item-id-1-7-50">publicación</span> y que muchos de ustedes, cuando empiecen a experimentar, se darán cuenta de la monotonía y frustración que implica trabajar de manera gráfica, y</p>
                </li>
                <li>
                    <p>esto implica que no nos enfocaremos en los aspectos básicos de la <span class="i-item-span" id="i-item-id-1-15-52">creación</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-53">EPUB</span></span>, debido a que ya está cubierto en los archivos de ejemplo.</p>
                </li>
            </ol>
            <p>Orientaré esta entrada a ciertos errores comunes que he encontrado en los <span class="i-item-span" id="i-item-id-1-5-54">libros</span> hechos por otros con Sigil, y que será una buena guía para que ustedes puedan evitarlos.</p>
            <h2 id="manos-a-la-obra">Manos a la <span class="i-item-span" id="i-item-id-1-2-55">obra</span></h2>
            <h3 id="minima-configuracion-general">1. Mínima configuración general</h3>
            <p><strong>Uno de los errores más comunes es olvidar la configuración general de Sigil.</strong> Existen dos casos donde esto afecta directamente al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-56">EPUB</span></span>:</p>
            <ol>
                <li>
                    <p>por defecto Sigil crea <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-57">EPUB</span></span> versión 2.0.1 cuando por lo menos es necesario crear a partir de la versión 3.0.0;</p>
                </li>
                <li>
                    <p>usa el idioma inglés como lenguaje por defecto para los <span class="i-item-span" id="i-item-id-1-30-58">metadatos</span> del <i><span class="i-item-span" id="i-item-id-1-73-59">ebook</span></i>.</p>
                </li>
            </ol>
            <p>Para cambiar esto es necesario ir a <code>Edit &gt; Preferences…</code> o presionar <code>F5</code>. En el área de <code>General Settings</code> indicamos que deseamos la versión 3.</p>
            <figure>
                <img src="../img/img_10-01.jpg" alt="Cambio de versión a la 3.0.0."/>
                <figcaption>
                    Cambio de versión a la 3.0.0.
                </figcaption>
            </figure>
            <p>Para especificar el lenguaje deseado de nuestros <span class="i-item-span" id="i-item-id-1-30-60">metadatos</span> en la misma ventana vamos a <code>Language</code> y en <code>Default Language For Metadata</code> seleccionamos el idioma y la región de nuestra preferencia.</p>
            <figure>
                <img src="../img/img_10-02.jpg" alt="Cambio de idioma."/>
                <figcaption>
                    Cambio de idioma.
                </figcaption>
            </figure>
            <p>Para que los cambios surtan efecto lo recomendable es reiniciar Sigil. Con esto ya podremos crear <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-61">EPUB</span></span> versión 3.0.0 que, si bien es la versión más popular y aceptada por distribuidores —p. ej. <span class="i-item-span" id="i-item-id-1-76-62">Amazon</span>, iTunes o <span class="i-item-span" id="i-item-id-1-122-63">Google</span>—, no es la más reciente. Una <strong><em>segunda desventaja</em></strong> de Sigil es que aún no genera <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-64">EPUB</span></span> versión 3.1 o al menos 3.0.1.</p>
            <h3 id="importacion-de-archivos">2. Importación de archivos</h3>
            <p>Cuando abrimos Sigil o generamos un nuevo <span class="i-item-span" id="i-item-id-1-18-66">proyecto</span> veremos la siguiente <span class="i-item-span" id="i-item-id-1-17-65">estructura</span>:</p>
            <figure>
                <img src="../img/img_10-03.jpg" alt="Estructura básica generada por Sigil."/>
                <figcaption>
                    Estructura básica generada por Sigil.
                </figcaption>
            </figure>
            <p>Como puede observarse, tenemos una serie de carpetas para poner ahí nuestros contenidos, como <span class="i-item-span" id="i-item-id-1-16-67">texto</span>, hojas de estilo, imágenes, fuentes, audios, videos u otros elementos.</p>
            <p>Para importar los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-68">XHTML</span></span> de nuestros archivos de ejemplo hay que seleccionar la carpeta <code>Text</code> y con clic derecho escoger <code>Add Existing Files…</code>. Esto nos abrirá esta ventana:</p>
            <figure>
                <img src="../img/img_10-04.jpg" alt="Ventana de importación."/>
                <figcaption>
                    Ventana de importación.
                </figcaption>
            </figure>
            <p>De nuestros archivos ejemplo vamos a seleccionar todos los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-69">XHTML</span></span> presentes en <code>epub &gt; 2-<span class="i-item-span" id="i-item-id-1-25-70">sigil</span> &gt; recursos &gt; xhtml</code>. Así es como estos <span class="i-item-span" id="i-item-id-1-37-72">documentos</span> serán incrustados en la carpeta donde van los <span class="i-item-span" id="i-item-id-1-16-71">textos</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-73">EPUB</span></span>.</p>
            <figure>
                <img src="../img/img_10-05.jpg" alt="Archivos importadas y archivo innecesario."/>
                <figcaption>
                    Archivos importadas y archivo innecesario.
                </figcaption>
            </figure>
            <p>El archivo <code>Section001.xhtml</code> no lo necesitamos así que lo seleccionamos y presionamos <code>Del</code> o clic derecho <code>Delete…</code> para eliminarlo.</p>
            <blockquote>
                <p><em>Recomendación</em>. Cuando generamos <span class="i-item-span" id="i-item-id-1-37-74">documentos</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-75">XHTML</span></span> desde Sigil, por defecto sigue la nomenclatura <code>Section</code> más un número consecutivo. Esto puede generar problemas al momento de verificar o hacer cambios ya que es un nombre genérico. Lo ideal sería darle nombre significativos y con una numeración inicial. Para mayor <span class="i-item-span" id="i-item-id-1-26-76">información</span>, <a href="https://github.com/NikaZhenya/cursitos/tree/master/modulos/practicos/P000-Estructura">consulta estas recomendaciones</a>.</p>
            </blockquote>
            <p>Ahora bien, aquí tenemos dos elementos muy curiosos. El primero es que si damos doble clic al archivo <code>000-portada.xhtml</code>, ¡la imagen de portada ya está ahí!</p>
            <figure>
                <img src="../img/img_10-06.jpg" alt="Portada importada automáticamente."/>
                <figcaption>
                    Portada importada automáticamente.
                </figcaption>
            </figure>
            <p>Sin embargo, si damos doble clic a <code>006-rey.xhtml</code> —u otro archivo que tenga <span class="i-item-span" id="i-item-id-1-16-77">texto</span>—, vemos que los estilos son un desastre…</p>
            <figure>
                <img src="../img/img_10-07.jpg" alt="Estilos mal visualizados."/>
                <figcaption>
                    Estilos mal visualizados.
                </figcaption>
            </figure>
            <p>La <strong><em>tercera desventaja</em></strong> de Sigil es que en ocasiones no muestra el <span class="i-item-span" id="i-item-id-1-29-79">diseño</span> correcto, por lo que una <span class="i-item-span" id="i-item-id-1-0-78">edición</span> visual del contenido puede resultar muy problemática. Por fortuna, ahora sabemos que hay un error en la renderización de los estilos, así que vamos a obviar esta visualización —al final veremos cómo se visualiza realmente—.</p>
            <p><strong>¿Por qué se ven la portada y los estilos?</strong> Por defecto, Sigil importa todo aquello que esté vinculado a los archivos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-80">XHTML</span></span> importados y los coloca en las carpetas correspondientes. En nuestro caso, <code>000-portada.xhtml</code> tiene vinculada la imagen <code>portada.jpg</code> que también fue importada a <code>Images</code>; además, todos los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-81">XHTML</span></span> tienen un vínculo a la hoja de estilos <code>principal.css</code>, que fue colocada en la carpeta <code>Styles</code>.</p>
            <figure>
                <img src="../img/img_10-08.jpg" alt="Archivos adicionales importados automáticamente."/>
                <figcaption>
                    Archivos adicionales importados automáticamente.
                </figcaption>
            </figure>
            <h3 id="tabla-de-contenidos">3. Tabla de contenidos</h3>
            <p>Hasta aquí ya hemos terminado con los ajustes en nuestro contenido por lo que ya podríamos proceder a generar el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-82">EPUB</span></span>. <strong>Este es otro de los errores más comunes: el contenido y el <span class="i-item-span" id="i-item-id-1-29-83">diseño</span> no lo son todo</strong>. Existen otras tareas muy importantes que nos dan mejor control, mayor calidad y un producto más amigable para el <span class="i-item-span" id="i-item-id-1-61-84">lector</span>.</p>
            <p>Una de estas tareas es la modificación de la tabla de contenidos. Para acceder a esta vamos a <code>Tool &gt; Table Of Contents &gt; Generate Table Of Contents…</code> o presionando <code>Ctrl + T</code> o el icono resaltado.</p>
            <figure>
                <img src="../img/img_10-09.jpg" alt="Ventana de edición de la tabla de contenidos."/>
                <figcaption>
                    Ventana de <span class="i-item-span" id="i-item-id-1-0-85">edición</span> de la tabla de contenidos.
                </figcaption>
            </figure>
            <p>Sigil, de manera automática, detecta todos los <span class="i-item-span" id="i-item-id-1-89-88">encabezados</span> en nuestro <span class="i-item-span" id="i-item-id-1-37-86">documento</span> —<span class="i-item-span" id="i-item-id-1-49-87">etiquetas</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-89">HTML</span></span> de la <code>h1</code> a la <code>h6</code>—, podemos limitar su jerarquía en <code>&lt;Select headings to include in TOC&gt;</code>, eliminar elementos deseleccionando la caja <code>include</code> o crear una tabla anidada al usar las flechas para asignar jerarquías.</p>
            <p>La <strong><em>cuarta desventaja</em></strong> de Sigil es que la <span class="i-item-span" id="i-item-id-1-15-91">creación</span> de tablas anidadas también afectará la <span class="i-item-span" id="i-item-id-1-17-92">estructura</span> de nuestro <span class="i-item-span" id="i-item-id-1-37-93">documento</span>. Por ejemplo, esta <span class="i-item-span" id="i-item-id-1-2-90">obra</span> consta de dos partes, así que lo ideal sería que cada una de las secciones interiores no fueran <code>h1</code> sino <code>h2</code> para que solo las partes queden en un nivel <code>h1</code>. Esta modificación haría que en cada uno de nuestros <span class="i-item-span" id="i-item-id-1-37-94">documentos</span> también cambie el <span class="i-item-span" id="i-item-id-1-89-95">encabezado</span> <code>h2</code> cuando, en realidad, lo único que queremos es <em>afectar la tabla de contenidos, no los contenidos</em>.</p>
            <p>Por este problema, vamos a eliminar los elementos que se deseen pero también vamos a mantenerlos a todos con el nivel detectado. De lo contrario, tendremos una mala visualización en nuestro resultado final.</p>
            <blockquote>
                <p><em>Aclaración</em>. Lo que en <span class="i-item-span" id="i-item-id-1-107-96">español</span> conocemos por <em>índices</em> en el mundo anglófono se conoce como <em>table of contents</em>, y lo que nosotros denominados <em>índice analítico, índice onomástico</em>, etc., ellos lo llaman <em>indexes</em>. Para evitar confusiones, prefiero usar el término <em>tabla de contenidos</em>.</p>
            </blockquote>
            <h3 id="metadatos">4. Metadatos</h3>
            <p><strong>Los <span class="i-item-span" id="i-item-id-1-30-97">metadatos</span> son uno de los elementos más importantes de un <span class="i-item-span" id="i-item-id-1-37-98">documento</span></strong>, como ya lo <a href="https://marianaeguaras.com/que-son-los-metadatos-de-un-libro-y-cual-es-su-importancia/">ha señalado <span class="i-item-span" id="i-item-id-1-20-99">Mariana</span></a>. De manera general son el <span class="i-item-span" id="i-item-id-1-37-101">documento</span> de identidad de nuestro <span class="i-item-span" id="i-item-id-1-5-100">libro</span>, por lo que no pueden ignorarse y han de llenarse correctamente.</p>
            <p>Para editar los <span class="i-item-span" id="i-item-id-1-30-102">metadatos</span> nos vamos a <code>Tools &gt; Metadata Editor…</code> o presionamos <code>F8</code> o el icono resaltado.</p>
            <figure>
                <img src="../img/img_10-10.jpg" alt="Ventana de edición de los metadatos."/>
                <figcaption>
                    Ventana de <span class="i-item-span" id="i-item-id-1-0-103">edición</span> de los <span class="i-item-span" id="i-item-id-1-30-104">metadatos</span>.
                </figcaption>
            </figure>
            <p>Para añadir <span class="i-item-span" id="i-item-id-1-30-105">metadatos</span> damos clic sobre <code>Add Metadata</code> y para modificar su valor hacemos doble clic sobre cada <code>value</code>. Para este ejemplo lo mínimo que requerimos es el <span class="i-item-span" id="i-item-id-1-3-106">autor</span>, el lenguaje, el título y el titular de los derechos, pero ¿por qué no pruebas con agregar más campos?</p>
            <blockquote>
                <p><em>Recomendación</em>. No existe consenso sobre la forma de <span class="i-item-span" id="i-item-id-1-98-107">escribir</span> el nombre de los colaboradores; no obstante, es aconsejable usar la nomenclatura <code>Apellidos, Nombres</code>. Esto se debe a que en las bibliotecas <span class="i-item-span" id="i-item-id-1-51-110">digitales</span> es posible ordenar los <span class="i-item-span" id="i-item-id-1-5-109">libros</span> por nombre del <span class="i-item-span" id="i-item-id-1-3-108">autor</span>.</p>
            </blockquote>
            <p>En este punto, de nuevo podríamos generar nuestro <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-111">EPUB</span></span>, porque ya contamos con los elementos esenciales de un <i><span class="i-item-span" id="i-item-id-1-73-112">ebook</span></i>:</p>
            <ul>
                <li>
                    <p>Contenido</p>
                </li>
                <li>
                    <p>Diseño</p>
                </li>
                <li>
                    <p>Tabla de contenidos</p>
                </li>
                <li>
                    <p>Metadatos</p>
                </li>
            </ul>
            <p>Sin embargo, más vale limpiar un poco el <span class="i-item-span" id="i-item-id-1-18-113">proyecto</span> para evitar potenciales errores en la verificación.</p>
            <h3 id="regeneracion-y-limpieza">5. Regeneración y limpieza</h3>
            <p>Como hemos estado haciendo modificaciones a la tabla de contenidos y a los <span class="i-item-span" id="i-item-id-1-30-114">metadatos</span>, <strong>tenemos la necesidad de volver a generar los archivos</strong> que guarden esta <span class="i-item-span" id="i-item-id-1-26-115">información</span>. De no ser así, tengan por seguro que en la verificación aparecerán errores o advertencias.</p>
            <ul>
                <li>
                    <p>Para regenerar el archivo con los <span class="i-item-span" id="i-item-id-1-30-116">metadatos</span> vamos a <code>Tools &gt; Epub3 Tools &gt; Update Manifest Properties</code>.</p>
                </li>
                <li>
                    <p>Para regenerar las tablas de contenidos hacemos clic en <code>Tools &gt; Epub3 Tools &gt; Generate NCX From Nav</code>.</p>
                </li>
            </ul>
            <blockquote>
                <p><em>Aclaración</em>. Los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-117">EPUB</span></span> versión 3 tienen dos tablas de contenidos: un <code>nav.xhtml</code> para <span class="i-item-span" id="i-item-id-1-61-118">lectores</span> recientes y un <code>toc.ncx</code> para <span class="i-item-span" id="i-item-id-1-111-119">dispositivos</span> viejos.</p>
            </blockquote>
            <p>Ahora procedemos a limpiar nuestro <span class="i-item-span" id="i-item-id-1-18-120">proyecto</span>:</p>
            <ul>
                <li>
                    <p>Para eliminar archivos innecesarios hacemos clic en <code>Tools &gt; Delete Unused Media Files…</code>.</p>
                </li>
                <li>
                    <p>Para eliminar estilos que no se usan de las hojas de estilo, sino que vamos a <code>Tools &gt; Delete Unused Stylesheet Classes…</code>.</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_10-11.jpg" alt="Ventana de eliminación de estilos no usados."/>
                <figcaption>
                    Ventana de eliminación de estilos no usados.
                </figcaption>
            </figure>
            <p>La hoja de estilos <code>principal.css</code> que está vinculada a los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-121">XHTML</span></span> es un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-122">CSS</span></span> con todas las clases que uso por defecto para cualquier clase de <span class="i-item-span" id="i-item-id-1-2-123">obra</span>. Por este motivo, existen clases que no fueron necesarios para este <span class="i-item-span" id="i-item-id-1-5-124">libro</span>, por lo que es detectado por Sigil y solo hacemos clic en <code>Delete Marked Styles</code>.</p>
            <h3 id="creacion-y-verificacion">6. Creación y verificación</h3>
            <p>Sigil nos ofrece una <span class="i-item-span" id="i-item-id-1-66-125">herramienta</span> para verificar el estado de nuestro <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-126">EPUB</span></span>, que está en <code>Tools &gt; Well-Formed Check <span class="i-item-span" id="i-item-id-1-1-127">EPUB</span></code> o presionando <code>F7</code>.</p>
            <figure>
                <img src="../img/img_10-12.jpg" alt="Analizador de errores de Sigil."/>
                <figcaption>
                    Analizador de errores de Sigil.
                </figcaption>
            </figure>
            <p>Nuestro <span class="i-item-span" id="i-item-id-1-18-128">proyecto</span> no tendría que tener errores, pero evitemos engañarnos: esto no asegura que el resultado final esté exento de errores o advertencias. Esto me parece una <strong><em>quinta desventaja</em></strong>, ya que es común que el usuario piense que, por la ausencia de errores en este panel, no es necesario la verificación con <span class="i-item-span" id="i-item-id-1-66-129">herramientas</span> externas.</p>
            <p>Esto es tan común que la mayoría de los <i>ebooks</i> que he descargado, por lo general, tienen errores o advertencias que en un determinado momento pueden afectar la <span class="i-item-span" id="i-item-id-1-62-130">experiencia</span> de lectura.</p>
            <p>Para demostrarlo, vamos a generar por primera vez nuestro <span class="i-item-span" id="i-item-id-1-5-131">libro</span> desde <code>File &gt; Save</code> o presionando <code>Ctrl + S</code> o el icono resaltado.</p>
            <figure>
                <img src="../img/img_10-13.jpg" alt="Generación de archivo EPUB."/>
                <figcaption>
                    Generación de archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-132">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>Esto crea un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-133">EPUB</span></span> que se puede visualizar y, al parecer, no presenta problemas. Sin embargo, si usamos Epubcheck —la <span class="i-item-span" id="i-item-id-1-66-134">herramienta</span> oficial para la verificación de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-135">EPUB</span></span> desarrollada por el <a href="http://idpf.org/"><span class="smallcap">IDPF</span></a> y que está disponible <a href="http://validator.idpf.org/">en línea</a> o <a href="https://github.com/IDPF/Epubcheck/releases">para su descarga</a>— tenemos el siguiente resultado:</p>
            <figure>
                <img src="../img/img_10-14.jpg" alt="Primer resultado de Epubcheck."/>
                <figcaption>
                    Primer resultado de Epubcheck.
                </figcaption>
            </figure>
            <p>Se trata de una advertencia: no coincide el identificador presente en el archivo <code>toc.ncx</code> —el de las tablas de contenidos— con en el archivo <code>content.opf</code>, que contiene los <span class="i-item-span" id="i-item-id-1-30-137">metadatos</span>, la declaración de contenidos y el orden de lectura del <span class="i-item-span" id="i-item-id-1-5-136">libro</span>.</p>
            <p>Siendo más específicos, en el <code>toc.ncx</code> tenemos un identificador de 32 caracteres separado por guiones. Mientras tanto, en el <code>content.opf</code> tenemos el mismo identificador pero con el sufijo <code>urn:uuid:</code>, por lo que hace que carezca de igualdad. Para evitar la advertencia solo tenemos que eliminar el sufijo. Sin embargo, estos vericuetos en la comprobación de un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-138">EPUB</span></span> son fruto de la <span class="i-item-span" id="i-item-id-1-62-139">experiencia</span> y uno que otro golpe al teclado a medianoche…</p>
            <p>No lo considero una desventaja por el simple hecho de que ningún <span class="i-item-span" id="i-item-id-1-44-140">programa</span> popular para la generación de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-141">EPUB</span></span> cuenta con una <span class="i-item-span" id="i-item-id-1-66-142">herramienta</span> externa de verificación o, mejor aún, una especie de <a href="https://es.wikipedia.org/wiki/Depuraci%C3%B3n_de_programas">depurador</a> que nos asista durante la verificación del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-143">EPUB</span></span>. Sin embargo, esto implica que <strong>para la generación de <i>ebooks</i> sin ningún detalle <span class="i-item-span" id="i-item-id-1-72-146">técnico</span> es menester el <span class="i-item-span" id="i-item-id-1-52-145">conocimiento</span> de la <span class="i-item-span" id="i-item-id-1-17-144">estructura</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-147">EPUB</span></span></strong>, que va más allá de lo visual.</p>
            <p>Entonces, en Sigil vamos al archivo <code>content.opf</code> y eliminamos el sufijo.</p>
            <figure>
                <img src="../img/img_10-15.jpg" alt="Localización del elemento a eliminar."/>
                <figcaption>
                    Localización del elemento a eliminar.
                </figcaption>
            </figure>
            <p>Una vez hecho esto, tendremos un resultado como el siguiente:</p>
            <figure>
                <img src="../img/img_10-16.jpg" alt="Archivo enmendado."/>
                <figcaption>
                    Archivo enmendado.
                </figcaption>
            </figure>
            <p>Ahora solo basta con volver a generar y verificar el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-148">EPUB</span></span> para encontrar que ¡ya tenemos un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-149">EPUB</span></span> sin errores ni advertencias!</p>
            <figure>
                <img src="../img/img_10-17.jpg" alt="Verificación exitosa del EPUB."/>
                <figcaption>
                    Verificación exitosa del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-150">EPUB</span></span>.
                </figcaption>
            </figure>
            <blockquote>
                <p><em>Recomendación</em>. La descarga de Epubcheck implica usar la terminal, lo que en un primer momento es más difícil de usar. Sin embargo, presenta estas ventajas en comparación con su uso en línea: menor tiempo de verificación, carencia de límite en el peso del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-151">EPUB</span></span> y posibilidad de empleo <i>offline</i>. En la medida posible, es mejor <span class="i-item-span" id="i-item-id-1-135-152">idea</span> empezar a usar la versión descargable.</p>
            </blockquote>
            <h3 id="listo">7. ¡Listo!</h3>
            <p>Ahora ya podemos abrir nuestro <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-153">EPUB</span></span> para verlo y, como puede observarse, tenemos la tabla de contenidos como la estipulamos y ¡los estilos se ven correctamente!</p>
            <figure>
                <img src="../img/img_10-18.jpg" alt="Visualización final del EPUB."/>
                <figcaption>
                    Visualización final del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-154">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>Este archivo podemos enviarlo a nuestro <span class="i-item-span" id="i-item-id-1-111-155">dispositivo</span> favorito de lectura o subirlo a alguna tienda. Ahora bien, ¿por qué no intentas hacer un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-156">EPUB</span></span> con otra <span class="i-item-span" id="i-item-id-1-2-157">obra</span>?</p>
            <blockquote>
                <p><em>Aclaración</em>. Por defecto, Sigil no modifica el identificador de <span class="i-item-span" id="i-item-id-1-5-158">libro</span> en cada nueva generación que hacemos, además de que conserva el mismo nombre de archivo. Esto provoca ciertos problemas en algunos <span class="i-item-span" id="i-item-id-1-61-159">lectores</span>. En <span class="i-item-span" id="i-item-id-1-105-160">iBooks</span> existe la posibilidad de que abra el archivo más viejo, ya que al detectar el mismo identificador, mostrará el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-161">EPUB</span></span> más antiguo sin importar que este haya sido eliminado. En <span class="i-item-span" id="i-item-id-1-11-162">Adobe</span> Digital Edition se ha detectado la misma situación, pero con el nombre del archivo. Si experimentas este problema, prueba con cambiar el identificador en el <code>content.opf y el toc.ncx</code>, así como cambiar manualmente el nombre al archivo.</p>
            </blockquote>
            <h2 id="sigil-siempre-te-recordare">Sigil, siempre te recordaré</h2>
            <p>Las cinco desventajas que indiqué no fueron los motivos por los que decidí dejar de usar Sigil; al final, para la mayoría de los <span class="i-item-span" id="i-item-id-1-61-164">lectores</span>, <span class="i-item-span" id="i-item-id-1-34-163">editores</span> o desarrolladores carece de importancia. <strong>Con el tiempo opté por la <a href="003-1_edicion_digital_como_edicion.xhtml"><span class="i-item-span" id="i-item-id-1-15-165">creación</span> desde cero</a>, porque de manera visual no obtuve el control deseado y la verificación se volvía muy escabrosa.</strong></p>
            <p>Más que un abandono de esta gran <span class="i-item-span" id="i-item-id-1-66-169">herramienta</span>, me vi obligado a buscar otra <span class="i-item-span" id="i-item-id-1-28-168">metodología</span> de <span class="i-item-span" id="i-item-id-1-12-166">desarrollo</span>. La corrección de errores y advertencias me permitió conocer a fondo la <span class="i-item-span" id="i-item-id-1-17-167">estructura</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-170">EPUB</span></span>, tanto del lenguaje <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-171">HTML</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-172">CSS</span></span> para el contenido, <span class="i-item-span" id="i-item-id-1-17-174">estructura</span> y <span class="i-item-span" id="i-item-id-1-29-175">diseño</span> del <span class="i-item-span" id="i-item-id-1-5-173">libro</span>, como del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-176">XML</span></span> que se emplea para la declaración de las tablas de contenidos, los <span class="i-item-span" id="i-item-id-1-30-178">metadatos</span>, el manifiesto, la espina y otras particularidades. Bajo este aprendizaje, el <span class="i-item-span" id="i-item-id-1-12-177">desarrollo</span> visual de un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-179">EPUB</span></span> me terminó por consumir más tiempo.</p>
            <p>Este empoderamiento <span class="i-item-span" id="i-item-id-1-71-180">tecnológico</span> me ha permitido estar desarrollando una serie de <strong><span class="i-item-span" id="i-item-id-1-66-182">herramientas</span> para el quehacer <span class="i-item-span" id="i-item-id-1-6-181">editorial</span></strong> que se llaman <strong><a href="https://github.com/NikaZhenya/Pecas"><span class="i-item-span" id="i-item-id-1-84-183">Pecas</span></a></strong>. El último ejemplo que haremos con el <i>Don Quijote</i> será usando esas <span class="i-item-span" id="i-item-id-1-66-184">herramientas</span>.</p>
            <aside class="espacio-arriba2">
                <h6 id="sobre-esta-entrada_12">Sobre esta entrada</h6>
                <ul>
                    <li>
                        <p>Título original: «De <span class="i-item-span" id="i-item-id-1-24-186">XHTML</span> a <span class="i-item-span" id="i-item-id-1-1-185">EPUB</span> con Sigil».</p>
                    </li>
                    <li>
                        <p>Título en el <i>blog</i> de <span class="i-item-span" id="i-item-id-1-20-189">Mariana</span>: «Cómo crear un <span class="i-item-span" id="i-item-id-1-5-188">libro</span> <span class="i-item-span" id="i-item-id-1-51-191">digital</span>: de <span class="i-item-span" id="i-item-id-1-24-190">XHTML</span> a <span class="i-item-span" id="i-item-id-1-1-187">EPUB</span> con Sigil».</p>
                    </li>
                    <li>
                        <p>Fecha de <span class="i-item-span" id="i-item-id-1-7-192">publicación</span>: 3 de octubre de 2017.</p>
                    </li>
                    <li>
                        <p><a href="https://gitlab.com/NikaZhenya/entradas-eguaras/blob/master/12%20-%20De%20XHTML%20a%20EPUB%20con%20Sigil/entrada.md">Redacción original</a>.</p>
                    </li>
                    <li>
                        <p><a href="https://marianaeguaras.com/de-xhtml-a-epub-con-sigil/">Revisión de <span class="i-item-span" id="i-item-id-1-20-193">Mariana</span></a>.</p>
                    </li>
                </ul>
            </aside>
        </section>
    </body>
</html>
